---
############################################
#  WRITTEN BY SIMON MENG mengzl@teligen.com
#  20170726
#  mengzl@teligen.com
############################################

- hosts: gsm
  remote_user: root
  tasks:
    - debug:
        msg: "{{hostvars[item].sid}}======{{item}}"
      with_items: "{{groups['primary']}}"


#    - debug:
#        msg: "{{hostvars[groups['primary'][0]]}}"

#    - name: Set authorized key
#      authorized_key:
#        user: oracle
#        state: present
#        key: "{{lookup('file',lookup('env','HOME') +  '/.ssh/id_rsa.pub')}}"

#    - name: Start schagent
#      shell: "ssh oracle@{{inventory_hostname}} 'export ORACLE_HOME={{oracle_home}};{{oracle_home}}/bin/schagent -status'"
#      register: schagent
#      delegate_to: localhost
#
#    - name: Start schagent
#      shell: "ssh oracle@{{inventory_hostname}} 'export ORACLE_HOME={{oracle_home}};{{oracle_home}}/bin/schagent -start'"
#      when: "'Agent not running or agent.pid file removed' in schagent.stdout_lines"
#      delegate_to: localhost
#
#
#    - name: extends max process
#      shell: "/home/oracle/02-oracle.sh;echo 'maxprocessstatus' > /home/oracle/maxprocessstatus"
#      become: true
#      become_user: oracle
#      when: maxprocessstatus.stat.exists == False
#      environment:
#        ORACLE_SID: "{{catalog_dbname}}"
#        ORACLE_BASE: "{{orcle_base}}"
#        ORACLE_HOME: "{{orcle_home}}"
#        PATH: "{{orcle_home}}/bin:/usr/sbin:/usr/local/bin:/bin:/usr/bin:/usr/local/sbin:/usr/sbin"